      program main
       call header
       call driver
      end program main

      subroutine header 
        write(6,*)
        write(6,*) ' iterative solution for a triacid pH '
        write(6,*) '  P. Reinhardt LCT, UPMC, november 2015 '
        write(6,*) '     using IRP F90 '
        write(6,*)
      end subroutine header 

      subroutine driver
         implicit none
         real*8 :: tau,cstart
         integer :: i
! get 100 points between 10-8 and 1 in a logarithmic scale
         cstart=1.D-12
         tau=(1.D0/cstart)**(0.01D0)
         c=cstart
         do i=0,100
           call calc_pH
           write(6,9901) i,c,pH,iter
           c=c*tau 
         end do
 9901  format(' i= ',i3,' c = ',F20.12,' pH = ',F10.4,' iter = ',i6)
      end subroutine driver
