      subroutine calc_pH
        implicit none
        integer :: i
        real*8 :: eps,dh3o,rhs,a,h3o
        eps=1.D-12
        h3o=c
        dh3o=h3o
        iter=0
        do while (dh3o.gt.eps) 
          a=rhs(h3o)
          dh3o=abs(h3o-a)
          h3o=a
          iter=iter+1
        end do
        pH=-log(h3o)/log(10.D0)
      end subroutine calc_pH

      real*8 function rhs(h3o)
         implicit none
         real*8 :: denom,h3o
         if (pKa3.ne.0.D0) then
          rhs=c*Ka1*(1+Ka2*(2.D0+Ka3*3.D0))
          denom=1+Ka1/h3o*(1+Ka2/h3o*(1+Ka3/h3o))
         else if (pKa2.ne.0.D0) then
          rhs=c*Ka1*(1+Ka2*2.D0)
          denom=1+Ka1/h3o*(1+Ka2/h3o)
         else
          rhs=c*Ka1
          denom=1+Ka1/h3o
         end if
         rhs=sqrt(Ke+rhs/denom)
      end function rhs
